<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>ActionManager</name>
    <filename>classActionManager.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDestinationPolicy</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>processIncidenceSelection</name>
      <anchor>g2</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>keyBindings</name>
      <anchor>g3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readSettings</name>
      <anchor>g4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeSettings</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>saveProperties</name>
      <anchor>g6</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readProperties</name>
      <anchor>g7</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>loadParts</name>
      <anchor>g8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>importResource</name>
      <anchor>g9</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>actionNew</name>
      <anchor>j0</anchor>
      <arglist>(const KURL &amp;url=KURL())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>actionKeyBindings</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>closingDown</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filterActivated</name>
      <anchor>j4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ActionManager</name>
      <anchor>a0</anchor>
      <arglist>(KXMLGUIClient *client, CalendarView *widget, QObject *parent, KOrg::MainWindow *mainWindow, bool isPart)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ActionManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>CalendarView *</type>
      <name>view</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createCalendarLocal</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>createCalendarResources</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveCalendar</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveResourceCalendar</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url, bool merge=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mergeURL</name>
      <anchor>a9</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveURL</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAsURL</name>
      <anchor>a11</anchor>
      <arglist>(const KURL &amp;kurl)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveModifiedURL</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchor>a14</anchor>
      <arglist>(QString url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mergeURL</name>
      <anchor>a15</anchor>
      <arglist>(QString url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAsURL</name>
      <anchor>a16</anchor>
      <arglist>(QString url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeURL</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getCurrentURLasString</name>
      <anchor>a18</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteEvent</name>
      <anchor>a19</anchor>
      <arglist>(QString uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eventRequest</name>
      <anchor>a20</anchor>
      <arglist>(QString request, QCString receiver, QString ical)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eventReply</name>
      <anchor>a21</anchor>
      <arglist>(QString ical)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ResourceRequestReply</type>
      <name>resourceRequest</name>
      <anchor>a22</anchor>
      <arglist>(const QValueList&lt; QPair&lt; QDateTime, QDateTime &gt; &gt; &amp;busy, const QCString &amp;resource, const QString &amp;vCalIn)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openEventEditor</name>
      <anchor>a23</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openEventEditor</name>
      <anchor>a24</anchor>
      <arglist>(QString summary, QString description, QString attachment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openTodoEditor</name>
      <anchor>a25</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>openTodoEditor</name>
      <anchor>a26</anchor>
      <arglist>(QString summary, QString description, QString attachment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showTodoView</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showEventView</name>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>localFileName</name>
      <anchor>a29</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryClose</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>KOrg::MainWindow *</type>
      <name>findInstance</name>
      <anchor>d0</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_new</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_open</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_openRecent</name>
      <anchor>h2</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_import</name>
      <anchor>h3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_merge</name>
      <anchor>h4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_revert</name>
      <anchor>h5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_archive</name>
      <anchor>h6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_save</name>
      <anchor>h7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_saveas</name>
      <anchor>h8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>file_close</name>
      <anchor>h9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>configureDateTime</name>
      <anchor>h10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>showTip</name>
      <anchor>h11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>showTipOnStart</name>
      <anchor>h12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>downloadNewStuff</name>
      <anchor>h13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>uploadNewStuff</name>
      <anchor>h14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>toggleFilterView</name>
      <anchor>h15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>checkAutoSave</name>
      <anchor>h16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>configureDateTimeFinished</name>
      <anchor>h17</anchor>
      <arglist>(KProcess *)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>setTitle</name>
      <anchor>h18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateUndoAction</name>
      <anchor>h19</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateRedoAction</name>
      <anchor>h20</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>KURL</type>
      <name>getSaveURL</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>initCalendar</name>
      <anchor>b1</anchor>
      <arglist>(Calendar *cal)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>AlarmClient</name>
    <filename>classAlarmClient.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>AlarmClient</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startDaemon</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>stopDaemon</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KCalendarIface::ResourceRequestReply</name>
    <filename>structKCalendarIface_1_1ResourceRequestReply.html</filename>
    <member kind="variable">
      <type>bool</type>
      <name>vCalInOK</name>
      <anchor>m0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>vCalOut</name>
      <anchor>m1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>vCalOutOK</name>
      <anchor>m2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>isFree</name>
      <anchor>m3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDateTime</type>
      <name>start</name>
      <anchor>m4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDateTime</type>
      <name>end</name>
      <anchor>m5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CalendarView</name>
    <filename>classCalendarView.html</filename>
    <base>KOrg::CalendarViewBase</base>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>openCalendar</name>
      <anchor>g1</anchor>
      <arglist>(const QString &amp;filename, bool merge=false)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>saveCalendar</name>
      <anchor>g2</anchor>
      <arglist>(const QString &amp;filename)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>closeCalendar</name>
      <anchor>g3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>archiveCalendar</name>
      <anchor>g4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showIncidence</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editIncidence</name>
      <anchor>g6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteIncidence</name>
      <anchor>g7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g8</anchor>
      <arglist>(QDateTime, QDateTime, bool allDay=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g9</anchor>
      <arglist>(QDateTime fh)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g10</anchor>
      <arglist>(QDate dt)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g12</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g13</anchor>
      <arglist>(const QString &amp;summary, const QString &amp;description, const QString &amp;attachment)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newFloatingEvent</name>
      <anchor>g14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showIncidence</name>
      <anchor>g15</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editIncidence</name>
      <anchor>g16</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteIncidence</name>
      <anchor>g17</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editEvent</name>
      <anchor>g18</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>g19</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>deleteEvent</name>
      <anchor>g20</anchor>
      <arglist>(const QString &amp;uid)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showEvent</name>
      <anchor>g21</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editTodo</name>
      <anchor>g22</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showTodo</name>
      <anchor>g23</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTodo</name>
      <anchor>g24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTodo</name>
      <anchor>g25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTodo</name>
      <anchor>g26</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>g27</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTodo</name>
      <anchor>g28</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTodo</name>
      <anchor>g29</anchor>
      <arglist>(const QString &amp;summary, const QString &amp;description, const QString &amp;attachment)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>todoModified</name>
      <anchor>g30</anchor>
      <arglist>(Todo *, Todo *, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>checkClipboard</name>
      <anchor>g31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readSettings</name>
      <anchor>g32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeSettings</name>
      <anchor>g33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readFilterSettings</name>
      <anchor>g34</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeFilterSettings</name>
      <anchor>g35</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplay</name>
      <anchor>g36</anchor>
      <arglist>(Event *, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>incidenceAdded</name>
      <anchor>g37</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>incidenceChanged</name>
      <anchor>g38</anchor>
      <arglist>(Incidence *oldEvent, Incidence *newEvent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>incidenceDeleted</name>
      <anchor>g39</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>eventAdded</name>
      <anchor>g40</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>eventChanged</name>
      <anchor>g41</anchor>
      <arglist>(Event *oldEvent, Event *newEvent)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>eventToBeDeleted</name>
      <anchor>g42</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>eventDeleted</name>
      <anchor>g43</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>todoAdded</name>
      <anchor>g44</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>todoChanged</name>
      <anchor>g45</anchor>
      <arglist>(Todo *oldTodo, Todo *newTodo)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>todoDeleted</name>
      <anchor>g46</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editCanceled</name>
      <anchor>g47</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchor>g48</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchor>g49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateTodoViews</name>
      <anchor>g50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateUnmanagedViews</name>
      <anchor>g51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_cut</name>
      <anchor>g52</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_copy</name>
      <anchor>g53</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_paste</name>
      <anchor>g54</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>edit_options</name>
      <anchor>g55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>print</name>
      <anchor>g56</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>printSetup</name>
      <anchor>g57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>printPreview</name>
      <anchor>g58</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportICalendar</name>
      <anchor>g59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>exportVCalendar</name>
      <anchor>g60</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>appointment_show</name>
      <anchor>g61</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>appointment_edit</name>
      <anchor>g62</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>appointment_delete</name>
      <anchor>g63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>action_mail</name>
      <anchor>g64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>todo_unsub</name>
      <anchor>g65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>takeOverEvent</name>
      <anchor>g66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>takeOverCalendar</name>
      <anchor>g67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>isModified</name>
      <anchor>g68</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setModified</name>
      <anchor>g69</anchor>
      <arglist>(bool modified=true)</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>isReadOnly</name>
      <anchor>g70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setReadOnly</name>
      <anchor>g71</anchor>
      <arglist>(bool readOnly=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>eventUpdated</name>
      <anchor>g72</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_publish</name>
      <anchor>g73</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_request</name>
      <anchor>g74</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_refresh</name>
      <anchor>g75</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_cancel</name>
      <anchor>g76</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_add</name>
      <anchor>g77</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_reply</name>
      <anchor>g78</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_counter</name>
      <anchor>g79</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_declinecounter</name>
      <anchor>g80</anchor>
      <arglist>(Incidence *incidence=0)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>schedule_publish_freebusy</name>
      <anchor>g81</anchor>
      <arglist>(int daysToPublish=30)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>openAddressbook</name>
      <anchor>g82</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editFilters</name>
      <anchor>g83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showFilter</name>
      <anchor>g84</anchor>
      <arglist>(bool visible)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateFilter</name>
      <anchor>g85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>filterEdited</name>
      <anchor>g86</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showIntro</name>
      <anchor>g87</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>goToday</name>
      <anchor>g88</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>goNext</name>
      <anchor>g89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>goPrevious</name>
      <anchor>g90</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>toggleExpand</name>
      <anchor>g91</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showLeftFrame</name>
      <anchor>g92</anchor>
      <arglist>(bool show=true)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>dialogClosing</name>
      <anchor>g93</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>lookForIncomingMessages</name>
      <anchor>g94</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>lookForOutgoingMessages</name>
      <anchor>g95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>processMainViewSelection</name>
      <anchor>g96</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>processTodoListSelection</name>
      <anchor>g97</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>processIncidenceSelection</name>
      <anchor>g98</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>purgeCompleted</name>
      <anchor>g99</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCalendarChanged</name>
      <anchor>g100</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>importQtopia</name>
      <anchor>g101</anchor>
      <arglist>(const QString &amp;categoriesFile, const QString &amp;datebookFile, const QString &amp;tasklistFile)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configChanged</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>closingDown</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>closed</name>
      <anchor>j2</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>modifiedChanged</name>
      <anchor>j3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>readOnlyChanged</name>
      <anchor>j4</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changeNavStringPrev</name>
      <anchor>j5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changeNavStringNext</name>
      <anchor>j6</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>organizerEventsSelected</name>
      <anchor>j7</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>groupEventsSelected</name>
      <anchor>j8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incidenceSelected</name>
      <anchor>j9</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoSelected</name>
      <anchor>j10</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pasteEnabled</name>
      <anchor>j11</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>numIncomingChanged</name>
      <anchor>j12</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>numOutgoingChanged</name>
      <anchor>j13</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>statusMessage</name>
      <anchor>j14</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>calendarViewExpanded</name>
      <anchor>j15</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalendarView</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CalendarView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCalendar</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>Calendar *</type>
      <name>calendar</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOrg::History *</type>
      <name>history</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOViewManager *</type>
      <name>viewManager</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KODialogManager *</type>
      <name>dialogManager</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>startDate</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>endDate</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QWidgetStack *</type>
      <name>viewStack</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>leftFrame</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>NavigatorBar *</type>
      <name>navigatorBar</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateNavigator *</type>
      <name>dateNavigator</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addView</name>
      <anchor>a13</anchor>
      <arglist>(KOrg::BaseView *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showView</name>
      <anchor>a14</anchor>
      <arglist>(KOrg::BaseView *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addExtension</name>
      <anchor>a15</anchor>
      <arglist>(CalendarViewExtension::Factory *)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>currentSelection</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>selectedIncidence</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>msgCalModified</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>adaptNavigationUnits</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>showDates</name>
      <anchor>h0</anchor>
      <arglist>(const KCal::DateList &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>schedule</name>
      <anchor>b0</anchor>
      <arglist>(Scheduler::Method, Incidence *incidence=0)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>int</type>
      <name>msgItemDelete</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>Todo *</type>
      <name>selectedTodo</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>warningChangeFailed</name>
      <anchor>b3</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CalPrintBase</name>
    <filename>classCalPrintBase.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>readSettingsWidget</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setSettingsWidget</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setDateRange</name>
      <anchor>g2</anchor>
      <arglist>(const QDate &amp;from, const QDate &amp;to)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalPrintBase</name>
      <anchor>a0</anchor>
      <arglist>(KPrinter *pr, Calendar *cal, KConfig *cfg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CalPrintBase</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>description</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>longDescription</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>configWidget</name>
      <anchor>a4</anchor>
      <arglist>(QWidget *)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>print</name>
      <anchor>a5</anchor>
      <arglist>(QPainter &amp;p, int width, int height)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>doPrint</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KPrinter::Orientation</type>
      <name>orientation</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>loadConfig</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>saveConfig</name>
      <anchor>a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>doLoadConfig</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>doSaveConfig</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>int</type>
      <name>weekdayColumn</name>
      <anchor>b0</anchor>
      <arglist>(int weekday)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawHeader</name>
      <anchor>b1</anchor>
      <arglist>(QPainter &amp;p, QString title, const QDate &amp;month1, const QDate &amp;month2, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawSmallMonth</name>
      <anchor>b2</anchor>
      <arglist>(QPainter &amp;p, const QDate &amp;qd, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawDaysOfWeek</name>
      <anchor>b3</anchor>
      <arglist>(QPainter &amp;p, const QDate &amp;fromDate, const QDate &amp;toDate, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawDaysOfWeekBox</name>
      <anchor>b4</anchor>
      <arglist>(QPainter &amp;p, const QDate &amp;qd, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawTimeLine</name>
      <anchor>b5</anchor>
      <arglist>(QPainter &amp;p, const QTime &amp;fromTime, const QTime &amp;toTime, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawAllDayBox</name>
      <anchor>b6</anchor>
      <arglist>(QPainter &amp;p, Event::List &amp;eventList, const QDate &amp;qd, bool expandable, int x, int y, int width, int &amp;height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawAgendaDayBox</name>
      <anchor>b7</anchor>
      <arglist>(QPainter &amp;p, Event::List &amp;eventList, const QDate &amp;qd, bool expandable, QTime &amp;fromTime, QTime &amp;toTime, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawAgendaItem</name>
      <anchor>b8</anchor>
      <arglist>(PrintCellItem *item, QPainter &amp;p, const QDate &amp;, const QDateTime &amp;startPrintDate, const QDateTime &amp;endPrintDate, float minlen, int x, int y, int width)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawDayBox</name>
      <anchor>b9</anchor>
      <arglist>(QPainter &amp;p, const QDate &amp;qd, int x, int y, int width, int height, bool fullDate=false)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawWeek</name>
      <anchor>b10</anchor>
      <arglist>(QPainter &amp;p, const QDate &amp;qd, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawTimeTable</name>
      <anchor>b11</anchor>
      <arglist>(QPainter &amp;p, const QDate &amp;fromDate, const QDate &amp;toDate, QTime &amp;fromTime, QTime &amp;toTime, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawMonth</name>
      <anchor>b12</anchor>
      <arglist>(QPainter &amp;p, const QDate &amp;qd, bool weeknumbers, int x, int y, int width, int height)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>drawTodo</name>
      <anchor>b13</anchor>
      <arglist>(int &amp;count, Todo *item, QPainter &amp;p, bool connectSubTodos, bool desc, int pospriority, int possummary, int posDueDt, int level, int x, int &amp;y, int width, int &amp;height, int pageHeight, TodoParentStart *r=0)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>int</type>
      <name>weekDayColumn</name>
      <anchor>b14</anchor>
      <arglist>(int weekday)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>QDate</type>
      <name>mFromDate</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>QDate</type>
      <name>mToDate</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>mUseColors</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>KPrinter *</type>
      <name>mPrinter</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Calendar *</type>
      <name>mCalendar</name>
      <anchor>n4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>KConfig *</type>
      <name>mConfig</name>
      <anchor>n5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>QWidget *</type>
      <name>mConfigWidget</name>
      <anchor>n6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>int</type>
      <name>mSubHeaderHeight</name>
      <anchor>q0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>int</type>
      <name>mHeaderHeight</name>
      <anchor>q1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public" static="yes">
      <type>int</type>
      <name>mMargin</name>
      <anchor>q2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CalPrinter</name>
    <filename>classCalPrinter.html</filename>
    <base>QObject</base>
    <base>KOrg::CalPrinterBase</base>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalPrinter</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *par, Calendar *cal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CalPrinter</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(KPrinter *printer, Calendar *calendar)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setupPrinter</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDateRange</name>
      <anchor>a4</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>preview</name>
      <anchor>a5</anchor>
      <arglist>(PrintType type, const QDate &amp;fd, const QDate &amp;td)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>print</name>
      <anchor>a6</anchor>
      <arglist>(PrintType type, const QDate &amp;fd, const QDate &amp;td)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>QPtrList&lt; CalPrintBase &gt;</type>
      <name>mPrintPlugins</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ConfigDialog</name>
    <filename>classConfigDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>ConfigDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ConfigDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigDialog</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ConfigDialog</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotOk</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotOk</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>load</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>save</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>load</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>save</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Converter</name>
    <filename>classConverter.html</filename>
    <member kind="function">
      <type></type>
      <name>Converter</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Converter</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>hebrew_leap_year_p</name>
      <anchor>d0</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>bool</type>
      <name>gregorian_leap_year_p</name>
      <anchor>d1</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>long</type>
      <name>absolute_from_gregorian</name>
      <anchor>d2</anchor>
      <arglist>(int year, int month, int day)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>long</type>
      <name>absolute_from_hebrew</name>
      <anchor>d3</anchor>
      <arglist>(int year, int month, int day)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>gregorian_from_absolute</name>
      <anchor>d4</anchor>
      <arglist>(long date, int *yearp, int *monthp, int *dayp)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>hebrew_from_absolute</name>
      <anchor>d5</anchor>
      <arglist>(long date, int *yearp, int *monthp, int *dayp)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>hebrew_months_in_year</name>
      <anchor>d6</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>hebrew_month_length</name>
      <anchor>d7</anchor>
      <arglist>(int year, int month)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>secular_month_length</name>
      <anchor>d8</anchor>
      <arglist>(int year, int month)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>long</type>
      <name>hebrew_elapsed_days</name>
      <anchor>d9</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>long</type>
      <name>hebrew_elapsed_days2</name>
      <anchor>d10</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>hebrew_year_length</name>
      <anchor>d11</anchor>
      <arglist>(int year)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>finish_up</name>
      <anchor>d12</anchor>
      <arglist>(long absolute, int hyear, int hmonth, int syear, int smonth, struct DateResult *result)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>SecularToHebrewConversion</name>
      <anchor>d13</anchor>
      <arglist>(int year, int month, int day, struct DateResult *result)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>HebrewToSecularConversion</name>
      <anchor>d14</anchor>
      <arglist>(int year, int month, int day, struct DateResult *result)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DateNavigator</name>
    <filename>classDateNavigator.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>selectDates</name>
      <anchor>g0</anchor>
      <arglist>(const KCal::DateList &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectDate</name>
      <anchor>g1</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectDates</name>
      <anchor>g2</anchor>
      <arglist>(int count)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectDates</name>
      <anchor>g3</anchor>
      <arglist>(const QDate &amp;, int count)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectWeek</name>
      <anchor>g4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectWeek</name>
      <anchor>g5</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectWorkWeek</name>
      <anchor>g6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectWorkWeek</name>
      <anchor>g7</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectWeekByDay</name>
      <anchor>g8</anchor>
      <arglist>(int weekDay, const QDate &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectToday</name>
      <anchor>g9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectPreviousYear</name>
      <anchor>g10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectPreviousMonth</name>
      <anchor>g11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectPreviousWeek</name>
      <anchor>g12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectNextWeek</name>
      <anchor>g13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectNextMonth</name>
      <anchor>g14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectNextYear</name>
      <anchor>g15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectPrevious</name>
      <anchor>g16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectNext</name>
      <anchor>g17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>selectMonth</name>
      <anchor>g18</anchor>
      <arglist>(int month)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>datesSelected</name>
      <anchor>j0</anchor>
      <arglist>(const KCal::DateList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DateNavigator</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DateNavigator</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCal::DateList</type>
      <name>selectedDates</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>datesCount</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>emitSelected</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DynamicTip</name>
    <filename>classDynamicTip.html</filename>
    <base>QToolTip</base>
    <member kind="function">
      <type></type>
      <name>DynamicTip</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>maybeTip</name>
      <anchor>b0</anchor>
      <arglist>(const QPoint &amp;pos)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ExportWebDialog</name>
    <filename>classExportWebDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>exportWebPage</name>
      <anchor>g0</anchor>
      <arglist>(bool synchronous=false)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotResult</name>
      <anchor>g1</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDataReq</name>
      <anchor>g2</anchor>
      <arglist>(KIO::Job *, QByteArray &amp;data)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTextChanged</name>
      <anchor>g3</anchor>
      <arglist>(const QString &amp;_text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ExportWebDialog</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *cal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ExportWebDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupGeneralPage</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupEventPage</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupTodoPage</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupAdvancedPage</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>loadSettings</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>saveSettings</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FBDownloadJob</name>
    <filename>classFBDownloadJob.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>fbDownloaded</name>
      <anchor>j0</anchor>
      <arglist>(const QString &amp;, FreeBusy *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FBDownloadJob</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;email, const KURL &amp;url, KOGroupware *kogroupware, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FBDownloadJob</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotResult</name>
      <anchor>h0</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotData</name>
      <anchor>h1</anchor>
      <arglist>(KIO::Job *, const QByteArray &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>FilterEditDialog</name>
    <filename>classFilterEditDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateFilterList</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateCategoryConfig</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>filterChanged</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editCategories</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>FilterEditDialog</name>
      <anchor>a0</anchor>
      <arglist>(QPtrList&lt; CalFilter &gt; *, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~FilterEditDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotDefault</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotApply</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotOk</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotAdd</name>
      <anchor>h3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotRemove</name>
      <anchor>h4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>filterSelected</name>
      <anchor>h5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>editCategorySelection</name>
      <anchor>h6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateCategorySelection</name>
      <anchor>h7</anchor>
      <arglist>(const QStringList &amp;categories)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>readFilter</name>
      <anchor>b0</anchor>
      <arglist>(CalFilter *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>writeFilter</name>
      <anchor>b1</anchor>
      <arglist>(CalFilter *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Holiday</name>
    <filename>classHoliday.html</filename>
    <member kind="function">
      <type></type>
      <name>Holiday</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Holiday</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QStringList</type>
      <name>FindHoliday</name>
      <anchor>d0</anchor>
      <arglist>(int month, int day, int weekday, int kvia, bool leap_year_p, bool israel_p, int day_number, int year)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>Sfirah</name>
      <anchor>d1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>CholP</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>OmerP</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>bool</type>
      <name>ParshaP</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ListItemVisitor</name>
    <filename>classListItemVisitor.html</filename>
    <member kind="function">
      <type></type>
      <name>ListItemVisitor</name>
      <anchor>a0</anchor>
      <arglist>(KOListViewItem *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ListItemVisitor</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a4</anchor>
      <arglist>(Journal *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewStuff</name>
    <filename>classKNewStuff.html</filename>
    <member kind="function">
      <type></type>
      <name>KNewStuff</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KNewStuff</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;fileName, const QString previewName)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>install</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>createUploadFile</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>downloadDestination</name>
      <anchor>a9</anchor>
      <arglist>(KNS::Entry *entry)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOAgendaView</name>
    <filename>classKOAgendaView.html</filename>
    <base>KOEventView</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateConfig</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>showDates</name>
      <anchor>g2</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvents</name>
      <anchor>g3</anchor>
      <arglist>(const Event::List &amp;)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>showNewEventPopup</name>
      <anchor>g4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>insertEvent</name>
      <anchor>g5</anchor>
      <arglist>(Event *event, QDate curDate, int curCol=-1)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplayAdded</name>
      <anchor>g6</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplay</name>
      <anchor>g7</anchor>
      <arglist>(Event *event, int mode)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clearSelection</name>
      <anchor>g8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g9</anchor>
      <arglist>(int gx, int gy)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEvent</name>
      <anchor>g10</anchor>
      <arglist>(int gxStart, int gyStart, int gxEnd, int gyEnd)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newEventAllDay</name>
      <anchor>g11</anchor>
      <arglist>(int gx, int gy)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>startDrag</name>
      <anchor>g12</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readSettings</name>
      <anchor>g13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readSettings</name>
      <anchor>g14</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>writeSettings</name>
      <anchor>g15</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setContentsPos</name>
      <anchor>g16</anchor>
      <arglist>(int y)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setExpandedButton</name>
      <anchor>g17</anchor>
      <arglist>(bool expanded)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>finishTypeAhead</name>
      <anchor>g18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTodoDropped</name>
      <anchor>g19</anchor>
      <arglist>(Todo *, int, int, bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>toggleExpand</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incidenceChanged</name>
      <anchor>j1</anchor>
      <arglist>(Incidence *, Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoChanged</name>
      <anchor>j2</anchor>
      <arglist>(Todo *, Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoDropped</name>
      <anchor>j3</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOAgendaView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *cal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOAgendaView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DateList</type>
      <name>selectedDates</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearView</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printPreview</name>
      <anchor>a7</anchor>
      <arglist>(CalPrinter *calPrinter, const QDate &amp;, const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>CalPrinter::PrintType</type>
      <name>printType</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>selectionStart</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDateTime</type>
      <name>selectionEnd</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selectedIsAllDay</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>deleteSelectedDateTime</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selectedIsSingleCell</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTypeAheadReceiver</name>
      <anchor>a14</anchor>
      <arglist>(QObject *)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateEventDates</name>
      <anchor>h0</anchor>
      <arglist>(KOAgendaItem *item)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateEventIndicatorTop</name>
      <anchor>h1</anchor>
      <arglist>(int newY)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>updateEventIndicatorBottom</name>
      <anchor>h2</anchor>
      <arglist>(int newY)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>newTimeSpanSelected</name>
      <anchor>h3</anchor>
      <arglist>(int gxStart, int gyStart, int gxEnd, int gyEnd)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>newTimeSpanSelectedAllDay</name>
      <anchor>h4</anchor>
      <arglist>(int gxStart, int gyStart, int gxEnd, int gyEnd)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>fillAgenda</name>
      <anchor>b0</anchor>
      <arglist>(const QDate &amp;startDate)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>fillAgenda</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>createDayLabels</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setHolidayMasks</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOAttendeeListView</name>
    <filename>classKOAttendeeListView.html</filename>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragEnterEvent</name>
      <anchor>g0</anchor>
      <arglist>(QDragEnterEvent *e)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>dragEnterEvent</name>
      <anchor>g1</anchor>
      <arglist>(QDragEnterEvent *e)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDropEvent</name>
      <anchor>g2</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>dropEvent</name>
      <anchor>g3</anchor>
      <arglist>(QDropEvent *e)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>contentsDragMoveEvent</name>
      <anchor>g4</anchor>
      <arglist>(QDragMoveEvent *e)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dropped</name>
      <anchor>j0</anchor>
      <arglist>(Attendee *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOAttendeeListView</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOAttendeeListView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addAttendee</name>
      <anchor>a2</anchor>
      <arglist>(QString newAttendee)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KODayMatrix</name>
    <filename>classKODayMatrix.html</filename>
    <base>QFrame</base>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>recalculateToday</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selected</name>
      <anchor>j0</anchor>
      <arglist>(const KCal::DateList &amp;daylist)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eventDropped</name>
      <anchor>j1</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eventDroppedMove</name>
      <anchor>j2</anchor>
      <arglist>(Event *oldevent, Event *newevent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoDroppedMove</name>
      <anchor>j3</anchor>
      <arglist>(Todo *oldtodo, Todo *newtodo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoDropped</name>
      <anchor>j4</anchor>
      <arglist>(Todo *todo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KODayMatrix</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, QDate date, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KODayMatrix</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCalendar</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateView</name>
      <anchor>a3</anchor>
      <arglist>(QDate actdate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateEvents</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QDate &amp;</type>
      <name>getDate</name>
      <anchor>a5</anchor>
      <arglist>(int offset)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getHolidayLabel</name>
      <anchor>a6</anchor>
      <arglist>(int offset)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addSelectedDaysTo</name>
      <anchor>a7</anchor>
      <arglist>(DateList &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectedDaysFrom</name>
      <anchor>a8</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTodayVisible</name>
      <anchor>a9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBeginningOfMonth</name>
      <anchor>a10</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEndOfMonth</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>paintEvent</name>
      <anchor>b0</anchor>
      <arglist>(QPaintEvent *ev)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>mousePressEvent</name>
      <anchor>b1</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>mouseReleaseEvent</name>
      <anchor>b2</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>mouseMoveEvent</name>
      <anchor>b3</anchor>
      <arglist>(QMouseEvent *e)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>dragEnterEvent</name>
      <anchor>b4</anchor>
      <arglist>(QDragEnterEvent *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>dragMoveEvent</name>
      <anchor>b5</anchor>
      <arglist>(QDragMoveEvent *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>dragLeaveEvent</name>
      <anchor>b6</anchor>
      <arglist>(QDragLeaveEvent *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>dropEvent</name>
      <anchor>b7</anchor>
      <arglist>(QDropEvent *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>resizeEvent</name>
      <anchor>b8</anchor>
      <arglist>(QResizeEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KODialogManager</name>
    <filename>classKODialogManager.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>showOptionsDialog</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showIncomingDialog</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showOutgoingDialog</name>
      <anchor>g2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showCategoryEditDialog</name>
      <anchor>g3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showSearchDialog</name>
      <anchor>g4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showArchiveDialog</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showFilterEditDialog</name>
      <anchor>g6</anchor>
      <arglist>(QPtrList&lt; CalFilter &gt; *filters)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showPluginDialog</name>
      <anchor>g7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KODialogManager</name>
      <anchor>a0</anchor>
      <arglist>(CalendarView *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KODialogManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOEventEditor *</type>
      <name>getEventEditor</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOTodoEditor *</type>
      <name>getTodoEditor</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>OutgoingDialog *</type>
      <name>outgoingDialog</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>IncomingDialog *</type>
      <name>incomingDialog</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateSearchDialog</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocumentId</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectTypeAhead</name>
      <anchor>a8</anchor>
      <arglist>(KOEventEditor *editor, KOAgendaView *agenda)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>errorSaveEvent</name>
      <anchor>d0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>errorSaveTodo</name>
      <anchor>d1</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>errorSaveJournal</name>
      <anchor>d2</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOEventEditor</name>
    <filename>classKOEventEditor.html</filename>
    <base>KOIncidenceEditor</base>
    <member kind="signal">
      <type>void</type>
      <name>eventAdded</name>
      <anchor>j0</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eventChanged</name>
      <anchor>j1</anchor>
      <arglist>(Event *oldEvent, Event *newEvent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eventToBeDeleted</name>
      <anchor>j2</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eventDeleted</name>
      <anchor>j3</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleteAttendee</name>
      <anchor>j4</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>focusReceivedSignal</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOEventEditor</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar, QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOEventEditor</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newEvent</name>
      <anchor>a4</anchor>
      <arglist>(QDateTime from, QDateTime to, bool allDay=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newEvent</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newEvent</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;summary, const QString &amp;description, const QString &amp;attachment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>editEvent</name>
      <anchor>a7</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaults</name>
      <anchor>a8</anchor>
      <arglist>(QDateTime from, QDateTime to, bool allDay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readEvent</name>
      <anchor>a9</anchor>
      <arglist>(Event *, bool tmpl=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEvent</name>
      <anchor>a10</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>typeAheadReceiver</name>
      <anchor>a11</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>loadDefaults</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>deleteEvent</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotLoadTemplate</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>saveTemplate</name>
      <anchor>h3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>QString</type>
      <name>type</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupGeneral</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupRecurrence</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupGanttTab</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>bool</type>
      <name>validateInput</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>bool</type>
      <name>processInput</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>processCancel</name>
      <anchor>b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>int</type>
      <name>msgItemDelete</name>
      <anchor>b7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOEventView</name>
    <filename>classKOEventView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="slot">
      <type>void</type>
      <name>showIncidencePopup</name>
      <anchor>g0</anchor>
      <arglist>(QPopupMenu *popup, Incidence *event)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaultAction</name>
      <anchor>g1</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>datesSelected</name>
      <anchor>j0</anchor>
      <arglist>(const DateList)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showIncidenceSignal</name>
      <anchor>j1</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editIncidenceSignal</name>
      <anchor>j2</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleteIncidenceSignal</name>
      <anchor>j3</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchor>j5</anchor>
      <arglist>(QDate)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchor>j6</anchor>
      <arglist>(QDateTime)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newEventSignal</name>
      <anchor>j7</anchor>
      <arglist>(QDateTime, QDateTime)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>shiftedEvent</name>
      <anchor>j8</anchor>
      <arglist>(const QDate &amp;olddate, const QDate &amp;newdate)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOEventView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *cal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOEventView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>KOEventPopupMenu *</type>
      <name>eventPopup</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPopupMenu *</type>
      <name>newEventPopup</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEventView</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>popupShow</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>popupEdit</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>popupDelete</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Incidence *</type>
      <name>mCurrentIncidence</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOEventViewer</name>
    <filename>classKOEventViewer.html</filename>
    <base>QTextBrowser</base>
    <member kind="function">
      <type></type>
      <name>KOEventViewer</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOEventViewer</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSource</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEvent</name>
      <anchor>a3</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEvent</name>
      <anchor>a4</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTodo</name>
      <anchor>a5</anchor>
      <arglist>(Todo *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>appendEvent</name>
      <anchor>a6</anchor>
      <arglist>(Event *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>appendTodo</name>
      <anchor>a7</anchor>
      <arglist>(Todo *event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clearEvents</name>
      <anchor>a8</anchor>
      <arglist>(bool now=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addText</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>addTag</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;tag, const QString &amp;text)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>addLink</name>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;ref, const QString &amp;text, bool newline=true)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>formatCategories</name>
      <anchor>b2</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>formatAttendees</name>
      <anchor>b3</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>formatReadOnly</name>
      <anchor>b4</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>formatAttachments</name>
      <anchor>b5</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOIncidenceEditor</name>
    <filename>classKOIncidenceEditor.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>updateCategoryConfig</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editCategories</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClose</name>
      <anchor>j1</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editCanceled</name>
      <anchor>j2</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOIncidenceEditor</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;caption, Calendar *calendar, QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOIncidenceEditor</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>reload</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotApply</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotOk</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotCancel</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>slotLoadTemplate</name>
      <anchor>h3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSaveTemplate</name>
      <anchor>h4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public" virtualness="pure">
      <type>virtual void</type>
      <name>saveTemplate</name>
      <anchor>h5</anchor>
      <arglist>(const QString &amp;)=0</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual QString</type>
      <name>type</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupAttendeesTab</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupAttachmentsTab</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>QString</type>
      <name>loadTemplate</name>
      <anchor>b3</anchor>
      <arglist>(Calendar *cal, const QString &amp;type, const QStringList &amp;templates)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>saveAsTemplate</name>
      <anchor>b4</anchor>
      <arglist>(Incidence *, const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual bool</type>
      <name>processInput</name>
      <anchor>b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>processCancel</name>
      <anchor>b6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>Calendar *</type>
      <name>mCalendar</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>KPIM::CategorySelectDialog *</type>
      <name>mCategoryDialog</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>KOEditorDetails *</type>
      <name>mDetails</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>KOEditorAttachments *</type>
      <name>mAttachments</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOIncidenceToolTip</name>
    <filename>classKOIncidenceToolTip.html</filename>
    <base>QToolTip</base>
    <member kind="function">
      <type></type>
      <name>KOIncidenceToolTip</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *widget, QToolTipGroup *group=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>add</name>
      <anchor>d0</anchor>
      <arglist>(QWidget *widget, Incidence *incidence, QToolTipGroup *group=0, const QString &amp;longText=&quot;&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOJournalView</name>
    <filename>classKOJournalView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>flushView</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showDates</name>
      <anchor>g2</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showEvents</name>
      <anchor>g3</anchor>
      <arglist>(const Event::List &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplay</name>
      <anchor>g4</anchor>
      <arglist>(Event *, int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOJournalView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOJournalView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedDates</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOListView</name>
    <filename>classKOListView.html</filename>
    <base>KOEventView</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>showDates</name>
      <anchor>g1</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvents</name>
      <anchor>g2</anchor>
      <arglist>(const Event::List &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showIncidences</name>
      <anchor>g3</anchor>
      <arglist>(const Incidence::List &amp;eventList)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clearSelection</name>
      <anchor>g4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showDates</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>hideDates</name>
      <anchor>g6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplay</name>
      <anchor>g7</anchor>
      <arglist>(Event *, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaultItemAction</name>
      <anchor>g8</anchor>
      <arglist>(QListViewItem *item)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>popupMenu</name>
      <anchor>g9</anchor>
      <arglist>(QListViewItem *item, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOListView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOListView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual DateList</type>
      <name>selectedDates</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showDates</name>
      <anchor>a6</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printPreview</name>
      <anchor>a7</anchor>
      <arglist>(CalPrinter *calPrinter, const QDate &amp;, const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readSettings</name>
      <anchor>a8</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeSettings</name>
      <anchor>a9</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>processSelectionChange</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>addEvents</name>
      <anchor>b0</anchor>
      <arglist>(const Event::List &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>addTodos</name>
      <anchor>b1</anchor>
      <arglist>(const Todo::List &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>addIncidences</name>
      <anchor>b2</anchor>
      <arglist>(const Incidence::List &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>addIncidence</name>
      <anchor>b3</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>KOListViewItem *</type>
      <name>getItemForEvent</name>
      <anchor>b4</anchor>
      <arglist>(Event *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOProjectView</name>
    <filename>classKOProjectView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplay</name>
      <anchor>g2</anchor>
      <arglist>(Event *, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showDates</name>
      <anchor>g3</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showEvents</name>
      <anchor>g4</anchor>
      <arglist>(const Event::List &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newTodoSignal</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSubTodoSignal</name>
      <anchor>j1</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showTodoSignal</name>
      <anchor>j2</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editTodoSignal</name>
      <anchor>j3</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleteTodoSignal</name>
      <anchor>j4</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOProjectView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOProjectView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>selectedIncidences</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedDates</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentDateCount</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readSettings</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeSettings</name>
      <anchor>a6</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>showModeMenu</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>zoomIn</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>zoomOut</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>taskChanged</name>
      <anchor>h3</anchor>
      <arglist>(KGanttItem *task, KGanttItem::Change change)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOProjectViewItem</name>
    <filename>classKOProjectViewItem.html</filename>
    <member kind="function">
      <type></type>
      <name>KOProjectViewItem</name>
      <anchor>a0</anchor>
      <arglist>(Todo *, KGanttItem *parentTask, const QString &amp;text, const QDateTime &amp;start, const QDateTime &amp;end)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOProjectViewItem</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>event</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOQuickTodo</name>
    <filename>classKOQuickTodo.html</filename>
    <base>QLineEdit</base>
    <member kind="function">
      <type></type>
      <name>KOQuickTodo</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>focusInEvent</name>
      <anchor>b0</anchor>
      <arglist>(QFocusEvent *ev)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>focusOutEvent</name>
      <anchor>b1</anchor>
      <arglist>(QFocusEvent *ev)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrganizer</name>
    <filename>classKOrganizer.html</filename>
    <base>KOrg::MainWindow</base>
    <member kind="slot">
      <type>void</type>
      <name>showStatusMessage</name>
      <anchor>g0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOrganizer</name>
      <anchor>a0</anchor>
      <arglist>(const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOrganizer</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(bool hasDocument)</arglist>
    </member>
    <member kind="function">
      <type>KOrg::CalendarViewBase *</type>
      <name>view</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>ActionManager *</type>
      <name>actionManager</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;url, bool merge=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveURL</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAsURL</name>
      <anchor>a7</anchor>
      <arglist>(const KURL &amp;kurl)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>getCurrentURL</name>
      <anchor>a8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchor>a9</anchor>
      <arglist>(QString url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>mergeURL</name>
      <anchor>a10</anchor>
      <arglist>(QString url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveAsURL</name>
      <anchor>a11</anchor>
      <arglist>(QString url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeURL</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>getCurrentURLasString</name>
      <anchor>a13</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>deleteEvent</name>
      <anchor>a14</anchor>
      <arglist>(QString uid)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eventRequest</name>
      <anchor>a15</anchor>
      <arglist>(QString request, QCString receiver, QString ical)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eventReply</name>
      <anchor>a16</anchor>
      <arglist>(QString ical)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KXMLGUIFactory *</type>
      <name>mainGuiFactory</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KXMLGUIClient *</type>
      <name>mainGuiClient</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>topLevelWidget</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>readSettings</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>writeSettings</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>configureToolbars</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>toggleStatusBar</name>
      <anchor>h3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>statusBarPressed</name>
      <anchor>h4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>setTitle</name>
      <anchor>h5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>setNumIncoming</name>
      <anchor>h6</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>setNumOutgoing</name>
      <anchor>h7</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>newMainWindow</name>
      <anchor>h8</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>configureKeyBindings</name>
      <anchor>h9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>initActions</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>bool</type>
      <name>queryClose</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>bool</type>
      <name>queryExit</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>saveProperties</name>
      <anchor>b3</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>readProperties</name>
      <anchor>b4</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTimeEdit</name>
    <filename>classKOTimeEdit.html</filename>
    <base>QComboBox</base>
    <member kind="slot">
      <type>void</type>
      <name>setTime</name>
      <anchor>g0</anchor>
      <arglist>(QTime qt)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>timeChanged</name>
      <anchor>j0</anchor>
      <arglist>(QTime newt)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOTimeEdit</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, QTime qt=QTime(12, 0), const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOTimeEdit</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTime</name>
      <anchor>a2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QTime</type>
      <name>getTime</name>
      <anchor>a3</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QSizePolicy</type>
      <name>sizePolicy</name>
      <anchor>a4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inputIsValid</name>
      <anchor>a5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>active</name>
      <anchor>h0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>hilit</name>
      <anchor>h1</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>changedText</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>keyPressEvent</name>
      <anchor>b0</anchor>
      <arglist>(QKeyEvent *qke)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>addTime</name>
      <anchor>b1</anchor>
      <arglist>(QTime qt)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>subTime</name>
      <anchor>b2</anchor>
      <arglist>(QTime qt)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>updateText</name>
      <anchor>b3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTodoEditor</name>
    <filename>classKOTodoEditor.html</filename>
    <base>KOIncidenceEditor</base>
    <member kind="signal">
      <type>void</type>
      <name>todoChanged</name>
      <anchor>j0</anchor>
      <arglist>(Todo *oldTodo, Todo *newTodo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoAdded</name>
      <anchor>j1</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoToBeDeleted</name>
      <anchor>j2</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoDeleted</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOTodoEditor</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar, QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOTodoEditor</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>reload</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newTodo</name>
      <anchor>a4</anchor>
      <arglist>(QDateTime due, Todo *relatedTodo=0, bool allDay=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newTodo</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newTodo</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;summary, const QString &amp;description, const QString &amp;attachment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>editTodo</name>
      <anchor>a7</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaults</name>
      <anchor>a8</anchor>
      <arglist>(QDateTime due, Todo *relatedTodo, bool allDay)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readTodo</name>
      <anchor>a9</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeTodo</name>
      <anchor>a10</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>validateInput</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>processInput</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processCancel</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>modified</name>
      <anchor>a14</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>loadDefaults</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>slotLoadTemplate</name>
      <anchor>h2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>saveTemplate</name>
      <anchor>h3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>QString</type>
      <name>type</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>setupGeneral</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>int</type>
      <name>msgItemDelete</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTodoView</name>
    <filename>classKOTodoView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="slot">
      <type>void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>updateConfig</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplay</name>
      <anchor>g2</anchor>
      <arglist>(Event *, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showDates</name>
      <anchor>g3</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showEvents</name>
      <anchor>g4</anchor>
      <arglist>(const Event::List &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>clearSelection</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editItem</name>
      <anchor>g6</anchor>
      <arglist>(QListViewItem *item, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editItem</name>
      <anchor>g7</anchor>
      <arglist>(QListViewItem *item)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showItem</name>
      <anchor>g8</anchor>
      <arglist>(QListViewItem *item, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>popupMenu</name>
      <anchor>g9</anchor>
      <arglist>(QListViewItem *item, const QPoint &amp;, int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newTodo</name>
      <anchor>g10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>newSubTodo</name>
      <anchor>g11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showTodo</name>
      <anchor>g12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>editTodo</name>
      <anchor>g13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteTodo</name>
      <anchor>g14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNewPriority</name>
      <anchor>g15</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNewPercentage</name>
      <anchor>g16</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changedCategories</name>
      <anchor>g17</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>purgeCompleted</name>
      <anchor>g18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>itemClicked</name>
      <anchor>g19</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>itemStateChanged</name>
      <anchor>g20</anchor>
      <arglist>(QListViewItem *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>modified</name>
      <anchor>g21</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setTodoModified</name>
      <anchor>g22</anchor>
      <arglist>(Todo *oldTodo, Todo *todo)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newTodoSignal</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newSubTodoSignal</name>
      <anchor>j1</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>unSubTodoSignal</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>showTodoSignal</name>
      <anchor>j3</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>editTodoSignal</name>
      <anchor>j4</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>deleteTodoSignal</name>
      <anchor>j5</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoModifiedSignal</name>
      <anchor>j6</anchor>
      <arglist>(Todo *, Todo *, int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoChanged</name>
      <anchor>j7</anchor>
      <arglist>(Todo *, Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>todoAdded</name>
      <anchor>j8</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>isModified</name>
      <anchor>j9</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>purgeCompletedSignal</name>
      <anchor>j10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOTodoView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *cal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOTodoView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCalendar</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *)</arglist>
    </member>
    <member kind="function">
      <type>Incidence::List</type>
      <name>selectedIncidences</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo::List</type>
      <name>selectedTodos</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedDates</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>currentDateCount</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>printPreview</name>
      <anchor>a7</anchor>
      <arglist>(CalPrinter *calPrinter, const QDate &amp;fd, const QDate &amp;td)</arglist>
    </member>
    <member kind="function">
      <type>CalPrinter::PrintType</type>
      <name>printType</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocumentId</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveLayout</name>
      <anchor>a10</anchor>
      <arglist>(KConfig *config, const QString &amp;group) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restoreLayout</name>
      <anchor>a11</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>QPopupMenu *</type>
      <name>getCategoryPopupMenu</name>
      <anchor>a12</anchor>
      <arglist>(KOTodoViewItem *todoItem)</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>processSelectionChange</name>
      <anchor>h0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="public">
      <type>void</type>
      <name>addQuickTodo</name>
      <anchor>h1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KOTodoViewItem</name>
      <anchor>l0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOTodoViewItem</name>
    <filename>classKOTodoViewItem.html</filename>
    <base>QCheckListItem</base>
    <member kind="function">
      <type></type>
      <name>KOTodoViewItem</name>
      <anchor>a0</anchor>
      <arglist>(QListView *parent, Todo *todo, KOTodoView *kotodo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOTodoViewItem</name>
      <anchor>a1</anchor>
      <arglist>(KOTodoViewItem *parent, Todo *todo, KOTodoView *kotodo)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOTodoViewItem</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>construct</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Todo *</type>
      <name>todo</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>key</name>
      <anchor>a5</anchor>
      <arglist>(int, bool) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSortKey</name>
      <anchor>a6</anchor>
      <arglist>(int column, const QString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAlternate</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>paintCell</name>
      <anchor>a8</anchor>
      <arglist>(QPainter *p, const QColorGroup &amp;cg, int column, int width, int alignment)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>paintBranches</name>
      <anchor>b0</anchor>
      <arglist>(QPainter *p, const QColorGroup &amp;cg, int w, int y, int h)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>stateChange</name>
      <anchor>b1</anchor>
      <arglist>(bool)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOViewManager</name>
    <filename>classKOViewManager.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>showWhatsNextView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showListView</name>
      <anchor>g1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showAgendaView</name>
      <anchor>g2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showDayView</name>
      <anchor>g3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showWorkWeekView</name>
      <anchor>g4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showWeekView</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showNextXView</name>
      <anchor>g6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showMonthView</name>
      <anchor>g7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showTodoView</name>
      <anchor>g8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showJournalView</name>
      <anchor>g9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showTimeSpanView</name>
      <anchor>g10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>showEventView</name>
      <anchor>g11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>connectTodoView</name>
      <anchor>g12</anchor>
      <arglist>(KOTodoView *todoView)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOViewManager</name>
      <anchor>a0</anchor>
      <arglist>(CalendarView *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOViewManager</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showView</name>
      <anchor>a2</anchor>
      <arglist>(KOrg::BaseView *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readSettings</name>
      <anchor>a3</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeSettings</name>
      <anchor>a4</anchor>
      <arglist>(KConfig *config)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readCurrentView</name>
      <anchor>a5</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeCurrentView</name>
      <anchor>a6</anchor>
      <arglist>(KConfig *)</arglist>
    </member>
    <member kind="function">
      <type>KOrg::BaseView *</type>
      <name>currentView</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDocumentId</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateView</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateView</name>
      <anchor>a10</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>raiseCurrentView</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addView</name>
      <anchor>a12</anchor>
      <arglist>(KOrg::BaseView *)</arglist>
    </member>
    <member kind="function">
      <type>Incidence *</type>
      <name>currentSelection</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>currentSelectionDate</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOAgendaView *</type>
      <name>agendaView</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOWhatsNextView</name>
    <filename>classKOWhatsNextView.html</filename>
    <base>KOrg::BaseView</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>showDates</name>
      <anchor>g1</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvents</name>
      <anchor>g2</anchor>
      <arglist>(const Event::List &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>changeEventDisplay</name>
      <anchor>g3</anchor>
      <arglist>(Event *, int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOWhatsNextView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *calendar, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KOWhatsNextView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>maxDatesHint</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DateList</type>
      <name>selectedDates</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printPreview</name>
      <anchor>a6</anchor>
      <arglist>(CalPrinter *calPrinter, const QDate &amp;, const QDate &amp;)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>appendEvent</name>
      <anchor>b0</anchor>
      <arglist>(Incidence *, bool reply=false)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>appendTodo</name>
      <anchor>b1</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOWindowList</name>
    <filename>classKOWindowList.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>addWindow</name>
      <anchor>g0</anchor>
      <arglist>(KOrg::MainWindow *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeWindow</name>
      <anchor>g1</anchor>
      <arglist>(KOrg::MainWindow *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KOWindowList</name>
      <anchor>a0</anchor>
      <arglist>(const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KOWindowList</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lastInstance</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KOrg::MainWindow *</type>
      <name>findInstance</name>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>KOrg::MainWindow *</type>
      <name>defaultInstance</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Parsha</name>
    <filename>classParsha.html</filename>
    <member kind="function">
      <type></type>
      <name>Parsha</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Parsha</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>FindParshaName</name>
      <anchor>d0</anchor>
      <arglist>(int daynumber, int kvia, bool leap_p, bool israel_p)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ResourceView</name>
    <filename>classResourceView.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>addResourceItem</name>
      <anchor>g0</anchor>
      <arglist>(ResourceCalendar *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resourcesChanged</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ResourceView</name>
      <anchor>a0</anchor>
      <arglist>(KCal::CalendarResourceManager *manager, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ResourceView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>updateView</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitResourcesChanged</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ScheduleItemVisitor</name>
    <filename>classScheduleItemVisitor.html</filename>
    <member kind="function">
      <type></type>
      <name>ScheduleItemVisitor</name>
      <anchor>a0</anchor>
      <arglist>(ScheduleItemIn *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ScheduleItemVisitor</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a2</anchor>
      <arglist>(Event *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a3</anchor>
      <arglist>(Todo *)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>visit</name>
      <anchor>a4</anchor>
      <arglist>(Journal *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::CalendarDecoration</name>
    <filename>classKOrg_1_1CalendarDecoration.html</filename>
    <member kind="typedef">
      <type>QPtrList&lt; CalendarDecoration &gt;</type>
      <name>List</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalendarDecoration</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CalendarDecoration</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>shortText</name>
      <anchor>a2</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>longText</name>
      <anchor>a3</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QPixmap</type>
      <name>smallPixmap</name>
      <anchor>a4</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QPixmap</type>
      <name>largePixmap</name>
      <anchor>a5</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>smallWidget</name>
      <anchor>a6</anchor>
      <arglist>(QWidget *, const QDate &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>interfaceVersion</name>
      <anchor>d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>QString</type>
      <name>serviceType</name>
      <anchor>d1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::CalPrinterBase</name>
    <filename>classKOrg_1_1CalPrinterBase.html</filename>
  </compound>
  <compound kind="class">
    <name>KOrg::BaseView</name>
    <filename>classKOrg_1_1BaseView.html</filename>
    <base>QWidget</base>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>showDates</name>
      <anchor>g0</anchor>
      <arglist>(const QDate &amp;start, const QDate &amp;end)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>showEvents</name>
      <anchor>g1</anchor>
      <arglist>(const Event::List &amp;eventList)=0</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>updateView</name>
      <anchor>g2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>flushView</name>
      <anchor>g3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>changeEventDisplay</name>
      <anchor>g4</anchor>
      <arglist>(Event *, int)=0</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>updateConfig</name>
      <anchor>g5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>clearSelection</name>
      <anchor>g6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>incidenceSelected</name>
      <anchor>j0</anchor>
      <arglist>(Incidence *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BaseView</name>
      <anchor>a0</anchor>
      <arglist>(Calendar *cal, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BaseView</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCalendar</name>
      <anchor>a2</anchor>
      <arglist>(Calendar *cal)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Calendar *</type>
      <name>calendar</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Incidence::List</type>
      <name>selectedIncidences</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual DateList</type>
      <name>selectedDates</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>printPreview</name>
      <anchor>a6</anchor>
      <arglist>(CalPrinter *, const QDate &amp;, const QDate &amp;)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>print</name>
      <anchor>a7</anchor>
      <arglist>(CalPrinter *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual CalPrinterBase::PrintType</type>
      <name>printType</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>currentDateCount</name>
      <anchor>a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isEventView</name>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::CalendarViewBase</name>
    <filename>classKOrg_1_1CalendarViewBase.html</filename>
    <base>QWidget</base>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>updateView</name>
      <anchor>g0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>CalendarViewBase</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~CalendarViewBase</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KCal::Calendar *</type>
      <name>calendar</name>
      <anchor>a2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QDate</type>
      <name>startDate</name>
      <anchor>a3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QDate</type>
      <name>endDate</name>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Incidence *</type>
      <name>currentSelection</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>addView</name>
      <anchor>a6</anchor>
      <arglist>(KOrg::BaseView *)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showView</name>
      <anchor>a7</anchor>
      <arglist>(KOrg::BaseView *)=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KOrg::MainWindow</name>
    <filename>classKOrg_1_1MainWindow.html</filename>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchor>a2</anchor>
      <arglist>(bool hasDocument)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual CalendarViewBase *</type>
      <name>view</name>
      <anchor>a3</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;url, bool merge=false)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>saveURL</name>
      <anchor>a5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>saveAsURL</name>
      <anchor>a6</anchor>
      <arglist>(const KURL &amp;kurl)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KURL</type>
      <name>getCurrentURL</name>
      <anchor>a7</anchor>
      <arglist>() const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KXMLGUIFactory *</type>
      <name>mainGuiFactory</name>
      <anchor>a8</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual KXMLGUIClient *</type>
      <name>mainGuiClient</name>
      <anchor>a9</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QWidget *</type>
      <name>topLevelWidget</name>
      <anchor>a10</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ActionManager *</type>
      <name>actionManager</name>
      <anchor>a11</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>showStatusMessage</name>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;message)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>setTitle</name>
      <anchor>a13</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasDocument</name>
      <anchor>a14</anchor>
      <arglist>(bool d)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasDocument</name>
      <anchor>a15</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
</tagfile>
